loci.formats.services

## Interface MDBService

- All Superinterfaces:
    loci.common.services.Service
  All Known Implementing Classes:
    MDBServiceImpl

      public interface MDBService
      extends loci.common.services.Service

  Interface defining methods for parsing MDB database files.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the currently initialized file.
    `void` | `initialize(java.lang.String filename)` Prepare the given .mdb file for reading.
    `java.util.Vector<java.util.Vector<java.lang.String[]>>` | `parseDatabase()` Read all tables from a pre-initialized .mdb files.
    `default java.util.Vector<java.lang.String[]>` | `parseTable(java.lang.String name)` Read named table from a pre-initialized .mdb files.

- - ### Method Detail

    - #### initialize

          void initialize(java.lang.String filename)
                   throws java.io.IOException

      Prepare the given .mdb file for reading. This method must be called before `parseDatabase()`.
      Throws:
        `java.io.IOException` - if a problem occurs when opening the file

    - #### parseDatabase

          java.util.Vector<java.util.Vector<java.lang.String[]>> parseDatabase()
                                                                        throws java.io.IOException

      Read all tables from a pre-initialized .mdb files. Each Vector<String[]> in the outer Vector represents a table; each String[] in a table represents a row, and each element of the String[] represents the value of a particular column within the row. The first row in each table contains the names for each column. The first entry in the column name row is the name of the table. `initialize(String)` must be called before calling parseDatabase().
      Throws:
        `java.io.IOException` - if there is a problem reading the table data

    - #### parseTable

          default java.util.Vector<java.lang.String[]> parseTable(java.lang.String name)
                                                           throws java.io.IOException

      Read named table from a pre-initialized .mdb files. Each String[] in a table represents a row, and each element of the String[] represents the value of a particular column within the row. The first row in the table contains the names for each column. `initialize(String)` must be called before calling parseTable.
      Parameters:
        `name` - table name
      Returns:
        table data or null if the named table does not exist
      Throws:
        `java.io.IOException` - if there is a problem reading the table data

    - #### close

          void close()

      Close the currently initialized file.

Copyright © 2026 Open Microscopy Environment